<!--
 * @Author: sjjh
 * @Date: 2025-09-05 21:16:06
 * @Description: 检验申请
-->
<template>
  <div class="container">
    <el-button @click="getInfo">查询</el-button>
  </div>
</template>
<script setup>
import { getCurrentInstance, onBeforeMount, onMounted, reactive } from 'vue';
import { getInspection } from './api';
import { patientInfo } from '../../store/patient.js';
const { proxy } = getCurrentInstance();
const emits = defineEmits([]);
const props = defineProps({});
const state = reactive({});
const getInfo = () => {
  if (patientInfo.value?.inHospitalOrgId) {
    getInspection({
      encounterId: patientInfo.value.encounterId,
    }).then((res) => {
      if (res.code === 200) {
      } else {
      }
    });
  }
};

onBeforeMount(() => {});
onMounted(() => {
  getInfo();
});
defineExpose({ state });
</script>
<style lang="scss" scoped></style>
